{
  "parent": "minecraft:nether/return_to_sender",
  "criteria": {
    "criterion_one": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "#minecraft:undead"
            }
          }
        ],
        "killing_blow": {
          "direct_entity": {
            "type": "minecraft:fireball"
          },
          "tags": [
            {
              "expected": true,
              "id": "minecraft:is_projectile"
            }
          ]
        }
      },
      "trigger": "minecraft:player_killed_entity"
    }
  },
  "display": {
    "description": "Destroy an undead mob using a fireball",
    "frame": "challenge",
    "icon": {
      "count": 1,
      "id": "minecraft:skeleton_skull"
    },
    "title": "Blast from the Ghast"
  },
  "rewards": {
    "experience": 50
  }
}